#
# Conditional build:
%bcond_with	qt5	# build against Qt5
#
Summary:	Programs capable of converting HTML documents into images or PDF documents
Summary(pl.UTF-8):	Programy do konwersji dokumentów HTML do obrazów lub dokumentów PDF
Name:		wkhtmltopdf
Version:	0.12.2.4
Release:	1
License:	LGPL v3+ (library), GPL v3+ (utilities)
Group:		Applications/Graphics
Source0:	https://github.com/wkhtmltopdf/wkhtmltopdf/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c8555f1c66b61cb11c6c9ff37d0d2280
URL:		http://wkhtmltopdf.org/
%if %{with qt5}
BuildRequires:	Qt5Core-devel >= 5
BuildRequires:	Qt5Gui-devel >= 5
BuildRequires:	Qt5Network-devel >= 5
BuildRequires:	Qt5PrintSupport-devel >= 5.2
BuildRequires:	Qt5Svg-devel >= 5
BuildRequires:	Qt5WebKit-devel >= 5
BuildRequires:	Qt5XmlPatterns-devel >= 5
BuildRequires:	qt5-qmake
%else
BuildRequires:	QtCore-devel >= 4
BuildRequires:	QtGui-devel >= 4
BuildRequires:	QtNetwork-devel >= 4
BuildRequires:	QtSvg-devel >= 4
BuildRequires:	QtWebKit-devel >= 4
BuildRequires:	QtXmlPatterns-devel >= 4
BuildRequires:	qt4-qmake
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Programs capable of converting HTML documents into images or PDF
documents.

%description -l pl.UTF-8
Programy do konwersji dokumentów HTML do obrazów lub dokumentów PDF.

%package devel
Summary:	Header files for wkhtmltox library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki wkhtmltox
License:	LGPL v3+
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%if %{with qt5}
Requires:	Qt5Core-devel >= 5
Requires:	Qt5Network-devel >= 5
Requires:	Qt5WebKit-devel >= 5
%else
Requires:	QtCore-devel >= 4
Requires:	QtNetwork-devel >= 4
Requires:	QtWebKit-devel >= 4
%endif

%description devel
Header files for wkhtmltox library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki wkhtmltox.

%prep
%setup -q

%build
qmake-%{?with_qt5:qt5}%{!?with_qt5:qt4} \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcxxflags}" \
	QMAKE_LFLAGS_RELEASE="%{rpmldflags}"

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_includedir}}

install -p bin/wkhtmlto* $RPM_BUILD_ROOT%{_bindir}
cp -dp bin/libwkhtmltox.so{,.?,.*.*.*} $RPM_BUILD_ROOT%{_libdir}
cp -pr include/wkhtmltox $RPM_BUILD_ROOT%{_includedir}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS CHANGELOG.md README.md
%attr(755,root,root) %{_bindir}/wkhtmltoimage
%attr(755,root,root) %{_bindir}/wkhtmltopdf
%attr(755,root,root) %{_libdir}/libwkhtmltox.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libwkhtmltox.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libwkhtmltox.so
%{_includedir}/wkhtmltox
%changelog
* Sat Oct 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wkhtmltopdf.git;a=log;h=master

* Sat Oct 24 2015 Jakub Bogusz <qboosh@pld-linux.org> c122188
- updated to 0.12.2.4

* Mon Jun 08 2015 Jakub Bogusz <qboosh@pld-linux.org> ac97253
- updated to 0.12.2.2

* Mon Apr 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 2266e8b
- package docs
- added qt5 bcond

* Sat Mar 28 2015 Elan Ruusamäe <glen@delfi.ee> 6557891
- x32 rebuild
- release 2 (by relup.sh)

* Wed Mar 11 2015 Marcin Krol <hawk@tld-linux.org> 0296260
- updated to 0.12.2.1

* Tue Apr 08 2014 Elan Ruusamäe <glen@delfi.ee> ad4b237
- up to 0.12.0, new homepage

* Sun Nov 04 2012 Jakub Bogusz <qboosh@pld-linux.org> 72934c8
- BR: QtXmlPatterns-devel

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> e24dd55
- new

